#include "ResourcePool/mysql/ResourcePool.hh"
#include "t/main.hh"

#include "testconfig.cc"

#include "../SQL/NULL.t.cc"

std::auto_ptr<RP> rp;

void INIT_mysql_NULL()
{
	rp.reset(new RP(getFactory()));
	test_NULL_init(*rp);
}
void TEST_mysql_NULL_insert()
{
	test_NULL_insert(*rp);
}

void TEST_mysql_NULL_select()
{
	test_NULL_select(*rp);
}

void CLEANUP_mysql_NULL() {
	test_NULL_cleanup(*rp);
}
