#include "ResourcePool.hh"
#include "t/main.hh"

#include "testconfig.cc"

#include "../SQL/SQLException.t.cc"

void INIT_mysql_SQLException()
{
	test_SQLException_init();
}

void TEST_mysql_SQLException_simple_constraints()
{
	test_SQLException_simple_constraints();
}

void TEST_mysql_SQLException_syntax()
{
	test_SQLException_syntax();
}

void TEST_mysql_SQLException_SQLSelectRow()
{
	test_SQLException_SQLSelectRow();
}

void TEST_mysql_SQLException_SQLSelectRow_wrong_bindout()
{
	test_SQLException_SQLSelectRow_wrong_bindout();
}

void TEST_mysql_SQLException_SQLSelectRow_wrong_bind()
{
	test_SQLException_SQLSelectRow_wrong_bind();
}

void CLEANUP_mysql_SQLException() {
	test_SQLException_cleanup();
}
